/*
 *     This file is part of MediLog.
 *
 *     MediLog is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Affero General Public License as published by
 *     the Free Software Foundation.
 *
 *     MediLog is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU Affero General Public License for more details.
 *
 *     You should have received a copy of the GNU Affero General Public License
 *     along with MediLog.  If not, see <http://www.gnu.org/licenses/>.
 *
 *     Copyright (c) 2018 - 2025 by Zell-MBC.com
 */

package com.zell_mbc.medilog

import com.zell_mbc.medilog.Tabs.BLOODPRESSURE
import com.zell_mbc.medilog.Tabs.DIARY
import com.zell_mbc.medilog.Tabs.DOCUMENTS
import com.zell_mbc.medilog.Tabs.FLUID
import com.zell_mbc.medilog.Tabs.GLUCOSE
import com.zell_mbc.medilog.Tabs.OXIMETRY
import com.zell_mbc.medilog.Tabs.TEMPERATURE
import com.zell_mbc.medilog.Tabs.WEIGHT

object AppFlavours {
    const val FOSS = 0
    const val PLAY_LIGHT = 1
    const val PLAY_FULL = 2
    const val PLAY_LIGHT_MAX_RECORDS_WARNING = 90
    const val PLAY_LIGHT_MAX_RECORDS = 100
    const val ALL_TABS_PLAY = "$WEIGHT,$BLOODPRESSURE,$DIARY,$DOCUMENTS"
    const val ALL_TABS_FOSS = "$WEIGHT,$BLOODPRESSURE,$DIARY,$FLUID,$GLUCOSE,$TEMPERATURE,$OXIMETRY,$DOCUMENTS"
}

object Tabs {
    const val WEIGHT = 1
    const val BLOODPRESSURE = 2
    const val DIARY = 3
    const val FLUID = 4
    const val GLUCOSE = 5
    const val TEMPERATURE = 6
    const val OXIMETRY = 7
    const val DOCUMENTS = 8
    const val LAST_TAB = 8
    //const val ALL_TABS = "$WEIGHT,$BLOODPRESSURE,$DIARY,$FLUID,$GLUCOSE,$TEMPERATURE,$OXIMETRY,$DOCUMENTS"
}
